### Enumeration

# Qmi NasRoamingStatus

since: 1.0

#### Declaration

    enum Qmi.NasRoamingStatus

#### Description [src]

Roaming status.

Available since: 1.0

#### Members

`QMI_NAS_ROAMING_STATUS_OFF`

  Off.

  - Value: `0`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_ON`

  On.

  - Value: `1`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_BLINK`

  Blinking.

  - Value: `2`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_OUT_OF_NEIGHBORHOOD`

  Out of neighborhood.

  - Value: `3`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_OUT_OF_BUILDING`

  Out of building.

  - Value: `4`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_PREFERRED_SYSTEM`

  Preferred system.

  - Value: `5`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_AVAILABLE_SYSTEM`

  Available system.

  - Value: `6`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_ALLIANCE_PARTNER`

  Alliance partner.

  - Value: `7`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_PREMIUM_PARTNER`

  Premium partner.

  - Value: `8`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_FULL_SERVICE`

  Full service.

  - Value: `9`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_PARTIAL_SERVICE`

  Partial service.

  - Value: `10`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_BANNER_ON`

  Banner on.

  - Value: `11`
  - Available since: 1.0
`QMI_NAS_ROAMING_STATUS_BANNER_OFF`

  Banner off.

  - Value: `12`
  - Available since: 1.0

#### Type functions

###### qmi_nas_roaming_status_get_string

Gets the nickname string for the `QmiNasRoamingStatus` specified at `val`.

since: 1.0